pcl::PointXYZLNormal Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, a label, together with normal coordinates and the surface curvature estimate. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZLNormal:

## Public Member Functions

| PointXYZLNormal (const _PointXYZLNormal &p)
| PointXYZLNormal ()

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZLNormal &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZLNormal
| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
std::uint32_t label
float curvature
} |
float data_c [4]
}; |

## Detailed Description

A point structure representing Euclidean xyz coordinates, a label, together with normal coordinates and the surface curvature estimate.

Definition at line 1029 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXYZLNormal() [1/2]

pcl::PointXYZLNormal::PointXYZLNormal | ( | const _PointXYZLNormal & | p | ) |

inline

Definition at line 1031 of file point_types.hpp.

References pcl::_PointXYZLNormal::curvature, and pcl::_PointXYZLNormal::label.

## PointXYZLNormal() [2/2]

pcl::PointXYZLNormal::PointXYZLNormal | ( |  | ) |

inline

Definition at line 1039 of file point_types.hpp.

References pcl::_PointXYZLNormal::curvature, and pcl::_PointXYZLNormal::label.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointXYZLNormal & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp